using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Data.SqlClient;
using System.Configuration;

public partial class MultipleResultSets : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      // specifies database connection. Change this if needed
      string connString = ConfigurationManager.ConnectionStrings["Northwind"].ConnectionString;

      SqlConnection conn = null;
      SqlDataReader reader = null;

      try
      {
      // set up and open connection
         conn = new SqlConnection(connString);
         conn.Open();

         // set up first command
         string sql = "SELECT * FROM Products; SELECT * FROM Customers;";
         SqlCommand cmd = new SqlCommand(sql, conn);

         // can not use CommandBehavior.CloseConnection
         reader = cmd.ExecuteReader();

         // use filled DataSet
         grdAuthors.DataSource = reader;
         grdAuthors.DataBind();

         reader.NextResult();

         grdBooks.DataSource = reader;
         grdBooks.DataBind();


      }
      catch (Exception ex)
      {
      // process exception
      labMsg.Text = "Error occurred accessing the database";
      labMsg.Text += "<br/>" + ex.Message;
      }
      finally
      {
      // all done so close reader and connection
         if (reader != null) reader.Close();
         if (conn != null) conn.Close();
      }

    }
}
